MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001648VCMIOtherpublic2014-01-08 01:222017-08-23 23:34
Reporterdmccombs 
Assigned ToSXX 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS XOS Version10.6
Product Version 
Target VersionFixed in Version0.next 
Summary0001648: VCMI silently fails to start on OS X 10.6
DescriptionVCMI silently fails to start on OS X 10.6 when installed from the official binary. If the vcmiclient binary inside the app bundle is executed directly, it simply outputs:

Illegal Instruction

This is a sign that the client was compiled with the SDK from a higher version of OS X, but that the minimum required OS version is not set to give a useful error message.
Steps To ReproduceOn OS X 10.6, install the VCMI binary from:

http://download.vcmi.eu/vcmi-0.94.dmg [^]

Attempt to run the client.
Additional InformationIf VCMI is not using features only available in newer OS X SDKs, it can be compiled for an older version by adding this flag to gcc:

-mmacosx-version-min=10.6 (or some lower version)

Whether VCMI can be built targeting a lower version or not, the following property should be added to the Info.plist for the app bundle (as well as the app bundle for the vcmibuilder) to provide a userful error for users on lower versions of OS X:

LSMinimumSystemVersion

It should be set to the minimum version the client can run on, such as '10.8.0'.

See the Apple documentation for more information:

https://developer.apple.com/library/ios/documentation/general/Reference/InfoPlistKeyReference/Articles/LaunchServicesKeys.html#//apple_ref/doc/uid/20001431-113253 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007231)
SXX (administrator)
2017-08-23 23:34

VCMI now provide working DMG for macOS again.

- Issue History
Date Modified Username Field Change
2014-01-08 01:22 dmccombs New Issue
2017-07-22 14:10 SXX Assigned To => SXX
2017-07-22 14:10 SXX Status new => assigned
2017-08-23 23:34 SXX Note Added: 0007231
2017-08-23 23:34 SXX Status assigned => resolved
2017-08-23 23:34 SXX Fixed in Version => 0.next
2017-08-23 23:34 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean